Package twisted :: Package internet :: Module protocol :: Class ProcessProtocol

[frames | no frames]

## Class ProcessProtocol

    BaseProtocol --+
                   |
                  ProcessProtocol

Known Subclasses:
  `_BackRelay`, `_ProtocolWrapper`, `_ValueGetter`, `CGIProcessProtocol`, `LoggingProtocol`, `ProcessAliasProtocol`, `SSHSessionProcessProtocol`, `TrialProcessProtocol`

Processes have some additional methods besides receiving data.

Method Summary
| `childConnectionLost(self, childFD)`
| `childDataReceived(self, childFD, data)`
| ``errConnectionLost`(self)` This will be called when stderr is closed.
| ``errReceived`(self, data)` Some data was received from stderr.
| ``inConnectionLost`(self)` This will be called when stdin is closed.
| ``outConnectionLost`(self)` This will be called when stdout is closed.
| ``outReceived`(self, data)` Some data was received from stdout.
| ``processEnded`(self, reason)` This will be called when the subprocess is finished.
Inherited from BaseProtocol
| ``connectionMade`(self)` Called when a connection is made.
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.

Class Variable Summary
Inherited from BaseProtocol
`int` | `connected` = 0
`NoneType` | `transport` = None

Method Details

### errConnectionLost(self)

This will be called when stderr is closed.

### errReceived(self, data)

Some data was received from stderr.

### inConnectionLost(self)

This will be called when stdin is closed.

### outConnectionLost(self)

This will be called when stdout is closed.

### outReceived(self, data)

Some data was received from stdout.

### processEnded(self, reason)

This will be called when the subprocess is finished.

  Parameters:
    `reason`
    (type=`twisted.python.failure.Failure`)

Generated by Epydoc 2.0 on Sat May 15 20:08:18 2004 | http://epydoc.sf.net